#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x86,0x0D,0xCF,0xA0,0x3A,0x66,0x50,0xD7,0x66,0x2A,0x20,0xB1,
		0x17,0x97,0xF7,0x6C,0x0B,0xDD,0xB8,0x32,0xBA,0x39,0x94,0xCF,
		0xBE,0xE6,0x4A,0xF0,0x5E,0xE2,0xB1,0x96,0xF1,0xC5,0xAB,0xEC,
		0xB5,0x6E,0xA6,0xD0,0xA2,0x2A,0x5E,0xE3,0xC6,0x7C,0x1C,0xE4,
		0xB3,0xA0,0x8A,0x81,0xD5,0xFE,0xA0,0x9A,0x6A,0x66,0x14,0x89,
		0x9D,0xCC,0x4E,0x67,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
